GDB (xrefs)

Classes | Macros | Typedefs | Enumerations | Functions | Variables
/tmp/gdb-8.1/gdb/darwin-nat.h File Reference
`#include <mach/mach.h>`
`#include "gdbthread.h"`

Go to the source code of this file.

## Classes
struct | darwin_exception_info
struct | darwin_exception_msg
struct | darwin_thread_info
struct | darwin_inferior

## Macros
#define | MACH_CHECK_ERROR(ret) mach_check_error (ret, __FILE__, __LINE__, "??")

## Typedefs
typedef struct darwin_thread_info | darwin_thread_t

## Enumerations
enum | darwin_msg_state { DARWIN_RUNNING, DARWIN_STOPPED, DARWIN_MESSAGE }

## Functions
static darwin_thread_info * | get_darwin_thread_info (class thread_info *thread)
static darwin_inferior * | get_darwin_inferior (inferior *inf)
void | mach_check_error (kern_return_t ret, const char *file, unsigned int line, const char *func)
void | darwin_set_sstep (thread_t thread, int enable)
void | darwin_complete_target (struct target_ops *target)
void | darwin_check_osabi (darwin_inferior *inf, thread_t thread)

## Variables
mach_port_t | darwin_ex_port
mach_port_t | darwin_port_set
mach_port_t | darwin_host_self

## Macro Definition Documentation

## ◆ MACH_CHECK_ERROR

#define MACH_CHECK_ERROR | ( |  | ret | ) | mach_check_error (ret, __FILE__, __LINE__, "??")

Definition at line 152 of file darwin-nat.h.

Referenced by _initialize_darwin_inferior(), darwin_check_new_threads(), darwin_check_osabi(), darwin_deallocate_exception_ports(), darwin_deallocate_threads(), darwin_debug_port_info(), darwin_decode_exception_message(), darwin_detach(), darwin_find_new_inferior(), darwin_get_ada_task_ptid(), darwin_kill_inferior(), darwin_mourn_inferior(), darwin_resume_inferior(), darwin_resume_thread(), darwin_send_reply(), darwin_set_sstep(), darwin_setup_fake_stop_event(), darwin_suspend_inferior(), darwin_suspend_inferior_threads(), i386_darwin_dr_get(), i386_darwin_dr_set(), i386_darwin_fetch_inferior_registers(), i386_darwin_store_inferior_registers(), info_mach_exceptions_command(), info_mach_ports_command(), info_mach_task_command(), info_mach_thread_command(), info_mach_threads_command(), and set_enable_mach_exceptions().

## Typedef Documentation

## ◆ darwin_thread_t

typedef struct darwin_thread_info darwin_thread_t

Definition at line 96 of file darwin-nat.h.

## Enumeration Type Documentation

## ◆ darwin_msg_state

enum darwin_msg_state

Enumerator
DARWIN_RUNNING |
DARWIN_STOPPED |
DARWIN_MESSAGE |

Definition at line 61 of file darwin-nat.h.

## Function Documentation

## ◆ darwin_check_osabi()

void darwin_check_osabi | ( | darwin_inferior * | inf,
|  | thread_t | thread
| ) |  |

Definition at line 470 of file i386-darwin-nat.c.

References gdbarch_info::bfd_arch_info, gdbarch_info::byte_order, GDB_OSABI_DARWIN, GDB_OSABI_UNKNOWN, gdbarch_byte_order(), gdbarch_info_fill(), gdbarch_info_init(), gdbarch_osabi(), gdbarch_update_p(), MACH_CHECK_ERROR, gdbarch_info::osabi, and target_gdbarch().

Referenced by darwin_attach().

## ◆ darwin_complete_target()

void darwin_complete_target | ( | struct target_ops * | target | ) |

Definition at line 631 of file i386-darwin-nat.c.

References amd64_darwin_thread_state_num_regs, amd64_darwin_thread_state_reg_offset, amd64_native_gregset32_num_regs, amd64_native_gregset32_reg_offset, amd64_native_gregset64_num_regs, amd64_native_gregset64_reg_offset, x86_dr_low_type::get_addr, x86_dr_low_type::get_control, x86_dr_low_type::get_status, i386_darwin_dr_get_addr(), i386_darwin_dr_get_control(), i386_darwin_dr_get_status(), i386_darwin_dr_set_addr(), i386_darwin_dr_set_control(), i386_darwin_fetch_inferior_registers(), i386_darwin_store_inferior_registers(), i386_darwin_thread_state_num_regs, i386_darwin_thread_state_reg_offset, x86_dr_low_type::set_addr, x86_dr_low_type::set_control, target_ops::to_fetch_registers, target_ops::to_store_registers, x86_dr_low, x86_set_debug_register_length(), and x86_use_watchpoints().

Referenced by _initialize_darwin_inferior().

## ◆ darwin_set_sstep()

void darwin_set_sstep | ( | thread_t | thread,
|  | int | enable
| ) |  |

Definition at line 576 of file i386-darwin-nat.c.

References _, bit, enable, error(), i386_darwin_sstep_at_sigreturn(), MACH_CHECK_ERROR, printf_unfiltered(), and X86_EFLAGS_T.

Referenced by darwin_resume_thread().

## ◆ get_darwin_inferior()

static darwin_inferior* get_darwin_inferior | ( | inferior * | inf | ) |
| inline static

Definition at line 133 of file darwin-nat.h.

Referenced by darwin_attach(), darwin_check_new_threads(), darwin_deallocate_threads(), darwin_decode_message(), darwin_decode_notify_message(), darwin_detach(), darwin_find_new_inferior(), darwin_find_thread(), darwin_get_ada_task_ptid(), darwin_init_thread_list(), darwin_interrupt(), darwin_kill_inferior(), darwin_mourn_inferior(), darwin_reply_to_all_pending_messages(), darwin_resume_inferior(), darwin_resume_inferior_threads(), darwin_send_reply(), darwin_setup_exceptions(), darwin_setup_fake_stop_event(), darwin_setup_request_notification(), darwin_stop_inferior(), darwin_suspend_inferior(), darwin_suspend_inferior_threads(), darwin_wait(), darwin_xfer_partial(), find_inferior_task_it(), get_task_from_args(), info_mach_exceptions_command(), info_mach_ports_command(), info_mach_region_command(), and set_enable_mach_exceptions().

## ◆ get_darwin_thread_info()

static darwin_thread_info* get_darwin_thread_info | ( | class thread_info * | thread | ) |
| inline static

Definition at line 99 of file darwin-nat.h.

References thread_info::priv.

Referenced by thread_info_from_private_thread_info().

## ◆ mach_check_error()

void mach_check_error | ( | kern_return_t | ret,
|  | const char * | file,
|  | unsigned int | line,
|  | const char * | func
| ) |  |

Definition at line 199 of file darwin-nat.c.

References _, func, and warning().

## Variable Documentation

## ◆ darwin_ex_port

mach_port_t darwin_ex_port

Definition at line 134 of file darwin-nat.c.

Referenced by darwin_attach_pid(), darwin_decode_exception_message(), darwin_setup_exceptions(), info_mach_ports_command(), and set_enable_mach_exceptions().

## ◆ darwin_host_self

mach_port_t darwin_host_self

Definition at line 131 of file darwin-nat.c.

Referenced by _initialize_darwin_inferior(), info_mach_exceptions_command(), and info_mach_ports_command().

## ◆ darwin_port_set

mach_port_t darwin_port_set

Definition at line 137 of file darwin-nat.c.

Referenced by darwin_attach_pid(), darwin_wait(), and info_mach_ports_command().